Subject: bug#24827: 24.5; Elisp manual: add index entries for syntax highlighting

From: Drew Adams <[email-masked]>
Date: Sun, 30 Oct 2016 09:48:32 -0700 (PDT)

While trying to help someone find information about using font-locking,
I said to use `i' in the Elisp manual.  I expected that the common
terminology "syntax highlighting" would get them to the manual sections
about font-locking.

There is apparently no index entry that includes "highlight", and in
particular no index entries for "syntax highlighting", "highlighting
syntax", etc.

Please consider adding such entries.  Someone new to Emacs will likely
think in terms of syntax highlighting and may not be familiar with the
Emacsism "font-locking".

In GNU Emacs 24.5.1 (i686-pc-mingw32)
 of 2015-04-11 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/usr --host=i686-pc-mingw32'